<?php
require_once('../../Connections/odonto_connection1.php');
require_once('../../inc/utils.php');

//$q = intval($_GET['q']);
$negocio = $_GET[q]; //negocio
$r = $_GET[r];
$c = $_GET[c];
$s = $_GET[s];
$mozo = $_GET[mozo];
if(!$mozo) $zona = '';
else $zona = "AND mozo = ".$mozo;

$date = date();
		
$fecha_limite_inferior = date("Y-m-d 00:00:00",strtotime($date."- 2 days"));

$sql="SELECT id_avi,hora,mensaje,aviso,mozo,coment,sugerencias,puntaje,avisado,descrip,id_delivery,codigo,limpiado FROM avisos WHERE (negocio = '".$negocio."' AND hora > '$fecha_limite_inferior' AND limpiado = 0 ".$zona." ) ORDER BY id_avi DESC";
$result = mysqli_query($odonto_connection,$sql);
$row_rs_ingreso = mysqli_fetch_assoc($result);
$row_cnt = mysqli_num_rows($result);

$sql3="SELECT id_datos FROM datos WHERE negocio = '".$negocio."'";
$result3 = mysqli_query($odonto_connection,$sql3);
$row3 = mysqli_fetch_assoc($result3);
$id_datos = $row3['id_datos'];

$sql1="SELECT codigo,mesa FROM mesas WHERE negocio = '".$negocio."' AND logeado = '1' AND mesa != '999'".$zona;
$result1 = mysqli_query($odonto_connection,$sql1);
$row_rs_ingreso11 = mysqli_fetch_assoc($result1);
$row_cnt_1 = mysqli_num_rows($result1);

if($row_cnt >= 1){
	if(!$mozo){
		echo "<a href='negocio_0_limpiar.php?limpiar=1'><font style='position:absolute;top:0px;left:1000px;color:#FFf;font-size:1.5rem;width:15rem'><i class='fas fa-trash'></i> Limpiar Panel </font></a>";
	}
	do{
		$horaTermino=date_create($date);
		
		$horaInicio=date_create($row_rs_ingreso['hora']);
		$horaTermino->modify('-3 hours');
		$interval=date_diff($horaInicio,$horaTermino);

		if($interval->format('%s') < 8 && $interval->format('%i') < 1 && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {
			echo "<audio src='tpir-dings.wav' preload='auto' autoplay></audio>";
		}

		if($interval->format('%i') < '5' && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {$color='#2FFF00';
		$clase_boton="btn btn-success";
		$font="1.2rem";
		$class="";
		}


		if($interval->format('%i') >= '5' && $interval->format('%i') < '10' && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {$color='lightgreen';
		$clase_boton="btn btn-success";
		$font="1.2rem";
		$class="";}
		if($interval->format('%i') >= '10' && $interval->format('%i') < '20'  && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {$color='yellow';
		$clase_boton="btn btn-warning";
		$font="1.2rem";
		$class="";}
		if($interval->format('%i') >= '20' && $interval->format('%i') < '30'  && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {$color='#FFEB46';
		$clase_boton="btn btn-danger";
		$font="1.2rem";
		$class="";}
		if($interval->format('%i') >= '30' && $interval->format('%y') == 0 && $interval->format('%m') == 0 && $interval->format('%d') < 1 && $interval->format('%h') < 1) {$color='orange';
		$font="1.2rem";
		$clase_boton="btn btn-danger";}
		if($interval->format('%h') >= '1') {$color='#ff8080';
		$clase_boton="btn btn-danger";
		//$class="parpadea";
		$font="1.1rem";
		}
		if($interval->format('%d') >= '1') {$color='lightgrey';
		$clase_boton="btn btn-danger";
		$font="0.8rem";
		$class="";
		}

		$mensaje = $row_rs_ingreso['mensaje'];
		$aviso = $row_rs_ingreso['aviso'];
		$mozo_zona = $row_rs_ingreso['mozo'];
		$puntaje = $row_rs_ingreso['puntaje'];
		$coment = $row_rs_ingreso['coment'];
		$sugerencias = $row_rs_ingreso['sugerencias'];
		$id_avi = $row_rs_ingreso['id_avi'];
				
		if($row_rs_ingreso['descrip']){
			$nuevo_aviso = eliminar_tildes($row_rs_ingreso['descrip']);
			$nuevo_aviso = " ".$nuevo_aviso."&nbsp;";
		}
		else $nuevo_aviso = "";
			echo "<div style='position:relative;left:-50px;width:980px'><b><font style='color:".$color.";font-size:".$font."' class='$class'>";
			echo '<i class="fas fa-hand-point-right"></i> ';
			echo $horaInicio->format('d/m H:i:s')." <i class='fas fa-arrows-alt-h'></i> ".eliminar_tildes($aviso)."(Zona: ".$mozo_zona.")</font>&nbsp;<font style='color:#fff'>";
			if($nuevo_aviso || $mensaje || $coment || $sugerencias) echo "<i class='far fa-arrow-alt-circle-right'></i>";
			echo $nuevo_aviso;
			if($mensaje) echo "<font style='color:yellow'>&nbsp;<i class='far fa-arrow-alt-circle-right'></i>&nbsp;".$mensaje."&nbsp;</font>";
			
			$pos = strpos($aviso , 'Comentario en mesa');
			$pos1 = strpos($aviso , 'Sugerencias en mesa');
			$id_delivery = $row_rs_ingreso['id_delivery'];
			
			echo " <a href='#' onclick=myfuncionListo('$id_avi') type='button' class='btn btn-outline-light btn-sm' style='color:$color;border-color:$color'><b>&nbsp;<i class='fas fa-thumbs-up'></i>&nbsp;</b></a>";
			
			if($id_delivery > 0) {
				$sql="SELECT confiable FROM delivery WHERE id_delivery = $id_delivery";
				$rs = mysqli_query($odonto_connection,$sql);
				$row = mysqli_fetch_assoc($rs);
				$confiable = $row['confiable'];
				
				$confiable_decod = json_decode($confiable);
				$es_confiable = 0;
				foreach($confiable_decod as $clave => $valor){
					if($valor == $id_datos) $es_confiable = 1;
				}
				if(!$es_confiable) echo "<a href='negocio_0.php?confirmated=$id_delivery' type='button' class='btn btn-danger btn-sm'><b>Cliente No Confirmado!</b></a>";
				else echo "<a href='negocio_0.php?confirmated=$id_delivery&no_confiable=1' type='button' class='btn btn-success btn-sm' style='color:lightgreen'><b>Cliente Confiable!</b></a>";
				$avisado = $row_rs_ingreso['avisado'];
				
				$codigo = $row_rs_ingreso['codigo'];
				if(!$avisado) echo " <a href='negocio_0.php?id_avi=$id_avi&codigo=$codigo' type='button' class='btn btn-danger btn-sm'><b>No Enviado</b></a>";
				else {
					echo " <a type='button' class='btn btn-success btn-sm'><b>Enviado!</b></a>";
					$hora_avisado = date_create($row_rs_ingreso['hora_avisado']);
					echo " <i class='fas fa-paper-plane'></i> ";
					echo $hora_avisado->format('m/d H:i:s');					
				}
			}
			else echo $sugerencias;
			if($row_rs_ingreso['coment']) echo $coment."&nbsp;PUNT: ".$puntaje;
			echo "<br>__________________________________________________________________________________________________________________";
			echo "</font></b></div>";
}
while($row_rs_ingreso= mysqli_fetch_assoc($result));

echo "<div style='position:absolute;left:1000px;top:40px;background-color:#ff8080;width:11rem;font-size:20px'>&nbsp;<i class='fas fa-table'></i> Mesas Activas</div>";
echo "<div style='position:absolute;left:1000px;top:70px;background-color:#ffbf80;width:11rem'>";

if($row_cnt_1){
	do
	{
		echo "<table style='font-size:18px'><tr><td style='width:11rem'>";
		echo "Mesa N°: ".$row_rs_ingreso11['mesa'];
		echo "</td><td><a href='auxi_limpiar_negocio_0.php?mozo=".$mozo."&codigo=".$row_rs_ingreso11['codigo']."' class='btn btn-danger btn-sm' role='button'><b>Cerrar</b></a>";
		echo "</td></tr>";
		//echo "<br>";
		
	}
	while($row_rs_ingreso11= mysqli_fetch_assoc($result1));
		if(!$mozo){
		echo "<tr><td>";
		echo "Cerrar Todas:</td><td><a href='auxi_limpiar_negocio_0.php?negocio=".$negocio."' class='btn btn-danger btn-sm' role='button' style='position:relative;left:0px;height:2.0rem'><b>Todas</b></a>";
		echo "</td></tr>";
		}
		echo "</table>";	
	echo "</div>";	
}
else echo "0 mesas Activas (logueadas)";
echo "<br>";
}
else {
	echo "<div style='position:relative;left:-50px;width:980px'><b><font style='color:white;font-size:1.5rem' >";
	echo '<i class="fas fa-meh-rolling-eyes fa-2x"></i> ';
	echo "Ningún aviso para mostrar";
	echo "</div>";
}

mysqli_close($odonto_connection1);

?>